LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbc::ResultSetType Constant Group Referencepublished

describes the different scroll capabilities of a result set. More...

## Variables
const long | FORWARD_ONLY = 1003
| is the type for a com::sun::star::sdb::ResultSet object whose cursor may move only forward. More...
const long | SCROLL_INSENSITIVE = 1004
| is the type for a com::sun::star::sdb::ResultSet object that is scrollable but generally not sensitive to changes made by others. More...
const long | SCROLL_SENSITIVE = 1005
| is the type for a com::sun::star::sdb::ResultSet object that is scrollable and generally sensitive to changes made by others. More...

## Detailed Description

describes the different scroll capabilities of a result set.

## Variable Documentation

## ◆ FORWARD_ONLY

const long FORWARD_ONLY = 1003

is the type for a com::sun::star::sdb::ResultSet object whose cursor may move only forward.

## ◆ SCROLL_INSENSITIVE

const long SCROLL_INSENSITIVE = 1004

is the type for a com::sun::star::sdb::ResultSet object that is scrollable but generally not sensitive to changes made by others.

## ◆ SCROLL_SENSITIVE

const long SCROLL_SENSITIVE = 1005

is the type for a com::sun::star::sdb::ResultSet object that is scrollable and generally sensitive to changes made by others.